Loading...
Searching...
No Matches
JacobianFactor.h File Reference

Go to the source code of this file.

## Classes

class | gtsam::JacobianFactor
| A Gaussian factor in the squared-error form. More...
struct | gtsam::traits< JacobianFactor >
| traits More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

std::pair< GaussianConditional::shared_ptr, JacobianFactor::shared_ptr > | gtsam::EliminateQR (const GaussianFactorGraph &factors, const Ordering &keys)
| Multiply all factors and eliminate the given keys from the resulting factor using a QR variant that handles constraints (zero sigmas).

## Detailed Description

Author
  Richard Roberts
  Christian Potthast
  Frank Dellaert

Date
  Dec 8, 2010